ScriptingServiceExample(1)

NAME
scriptingserviceexample - Example client script for the Scripting Service

SYNOPSIS
scriptingserviceexample [ID]

DESCRIPTION
scriptingserviceexample is a small shell script providing an example of how to use the scripting service PU and PE: it first creates a temporary directory with a name created from the given unique ID. In this directory, an input directory is created containing two files: an example input file "my-input.data" and a run script "ssrun" (the run script is written by echo commands within scriptingserviceexample). The input directory is archived by Tar/GZip and provided to scriptingclient as input file. scriptingclient distributes the input to a Scripting PE, which unpacks the archive and executes "ssrun". "ssrun" gets the name of an output archive as its first argument; this archive is created by the example script and contains an example output file "my-output.data". The output archive is transferred back to the PU. Finally, scriptingserviceexample dumps the content of "my-output.data".
scriptingserviceexample can be taken as an example to do something more useful with the scripting service: for example, simulation input could be packaged with a script actually executing a simulation program on the input and archiving the results. Then, the scripting service can be used to distribute a set of simulation runs to a pool of processing nodes.
Important note on security: the scripting service does not include any security features yet. That is, arbitrary scripts will be executed. Without modifications (for example signatures), do NOT use it outside of a controlled environment!

ARGUMENTS
The following options are available:

ID  Gives an unique identifier for the example run, for example: 1234.

SEE ALSO
For a detailed introduction to RSerPool, see:
https://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006_final.pdf

Thomas Dreibholz's RSerPool Page:
https://www.nntb.no/~dreibh/rserpool/